생명주기 프로파일 목록 조회
생명주기 프로파일 목록을 조회합니다. 이 작업은 관리자 권한을 요구합니다.
HTTP 요청
GET /api/sonar/lifecycle-profiles
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
https://HOSTNAME/api/sonar/lifecycle-profiles?offset=0&limit=20
요청 매개변수
| 키 | 필수 | 타입 | 설명 | 비고 |
|---|---|---|---|---|
| offset | X | 32비트 정수 | 건너뛸 갯수 | 기본값: 0 |
| limit | X | 32비트 정수 | 최대 갯수 | 미지정 시 모든 생명주기 프로파일 조회 |
| keywords | X | 문자열 | 검색 키워드 | name, description 대상으로 검색 |
정상 응답
{
"total_count": 1,
"profiles": [
{
"guid": "4856ea13-a4ce-41f8-8a5d-29a2903e17b3",
"name": "default",
"description": null,
"configs": {
"hot": {
"retention": 10,
"options": {
"quota_per_node": 0,
"quota_per_node_unit": "mb",
"direct_copy": false
}
},
"warm": {
"base_path": "/warm",
"retention": 40,
"options": {
"quota_per_node": 0,
"quota_per_node_unit": "mb",
"direct_copy": false
}
},
"cold": {
"base_path": "s3:///",
"retention": 405,
"options": {
"quota_per_node": 1000,
"quota_per_node_unit": "tb",
"direct_copy": true
}
}
}
}
]
}
- total_count (32비트 정수): 검색 조건과 일치하는 전체 프로파일 개수
- profiles (배열): 검색 조건과 일치하는 생명주기 프로파일 목록
- guid (문자열): 생명주기 프로파일 GUID
- name (문자열): 생명주기 프로파일 이름
- description (문자열): 생명주기 프로파일 설명
- configs (맵): 생명주기 프로파일 설정
- hot/warm/cold (맵): 스토리지 계층(Hot, Warm, Cold)별 설정
- base_path (문자열): 데이터를 저장할 기본 경로
- retention (32비트 정수): 일 단위 데이터 보관 기간. 생성 날짜 기준으로 보관 기간이 지나면 하위 계층으로 이동
- options (맵): 생명주기 프로파일 선택 옵션
- quota_per_node (32비트 정수): 노드 단위로 할당된 저장 공간
- quota_per_node_unit (문자열): quota_per_node의 단위.
mb,gb,tb중 하나 - direct_copy (불리언): 롤오버할 때 직접 복사 여부
- rollover_on_diskfull (불리언): 디스크 공간 부족 시 롤오버 수행 여부
- hot/warm/cold (맵): 스토리지 계층(Hot, Warm, Cold)별 설정
오류 응답
offset, limit 값이 정수가 아닌 경우
HTTP 상태 코드 400 응답
{
"error_code": "invalid-argument",
"error_msg": "'offset' parameter should be int type"
}
offset, limit 값이 음수인 경우
HTTP 상태 코드 400 응답
{
"error_code": "invalid-argument",
"error_msg": "'offset' must be greater than or equal to 0."
}
keywords 매개변수 타입이 잘못된 경우
HTTP 상태 코드 400 응답
{
"error_code": "invalid-argument",
"error_msg": "'keywords' parameter should be string type"
}
권한이 없는 경우
HTTP 상태 코드 500 응답
{
"error_code": "illegal-state",
"error_msg": "no-permission"
}